Skip to main content
List orders

Authorizations

X-API-Key
string
header
required

Query Parameters

bigcommerce_id
number
custom_fields
string
limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

ordering
string

Which field to use when ordering the results.

Response

200 - application/json
id
string<uuid>
required
read-only
bigcommerce_id
integer
required
read-only
created_at
string<date-time>
required
read-only
is_external
boolean
required
read-only
is_archived
boolean
required
read-only
archived_at
string<date-time>
required
read-only
customer
object
required
created_by
object
required
bigcommerce_status
string
required
read-only
is_approved
boolean
required
read-only
approved_at
string<date-time>
required
read-only
approved_by
object
required
subtotal_price
string<decimal>
required
read-only

The total cost of line items before discounts or tax.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
shipping_price
string<decimal>
default:0.00
required
read-only

The cost of shipping before tax.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
handling_price
string<decimal>
default:0.00
required
read-only

The cost of handling before tax.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
tax_price
string<decimal>
required
read-only

The total amount of tax.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
discount_price
string<decimal>
default:0.00
required
read-only

The total amount of discounts.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
total_price
string<decimal>
required
read-only

The total cost of the order, less store credit.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
store_credit
string<decimal>
required
read-only

The amount of store credit applied.

Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
payment
object
required
coupons
object[]
required
read-only
is_digital
boolean
required
read-only

If the order contains no physical (shippable) products.

line_items
object[]
required
read-only
billing_address
object
required
shipping_address
object | null
required
shipping_method
string | null
required
read-only
Maximum string length: 250
subscription
object
required
bigcommerce_status_id
enum<integer>
  • 0 - Incomplete
  • 1 - Pending
  • 2 - Shipped
  • 3 - Partially Shipped
  • 4 - Refunded
  • 5 - Cancelled
  • 6 - Declined
  • 7 - Awaiting Payment
  • 8 - Awaiting Pickup
  • 9 - Awaiting Shipment
  • 10 - Completed
  • 11 - Awaiting Fulfillment
  • 12 - Manual Verification Required
  • 13 - Disputed
  • 14 - Partially Refunded
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14
customer_notes
string
Maximum string length: 65535
staff_notes
string
Maximum string length: 65535
custom_fields
object[]